Async Post Voter Id Verification
curl --request POST \
--url https://production.deepvue.tech/v1/verification/post-voter-id \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/post-voter-id"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/post-voter-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/post-voter-id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/post-voter-id"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/verification/post-voter-id")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/post-voter-id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"request_id": "fbbbd62c-7244-460f-92f4-f9702693200e"
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}Async
Create Voter ID
The Voter Id Verification API instantly verifies details of a voter id number by confirming them from the Government database.
This makes your onboarding process safer, faster, and smarter. With Deepvue.tech’s Voter Id Verification API,
you can be confident that the individuals you onboard hold a valid Voter Id and have provided you with the right identity proof.
POST
/
v1
/
verification
/
post-voter-id
Async Post Voter Id Verification
curl --request POST \
--url https://production.deepvue.tech/v1/verification/post-voter-id \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/post-voter-id"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/post-voter-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/post-voter-id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/post-voter-id"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/verification/post-voter-id")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/post-voter-id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"request_id": "fbbbd62c-7244-460f-92f4-f9702693200e"
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
Response
Request Accepted